
import '../../../../../../food_delivery_client.dart';

class WTopCategoriesSkeletonizer extends StatelessWidget {
  const WTopCategoriesSkeletonizer({super.key});

  @override
  Widget build(BuildContext context) {
    return Skeletonizer(
      enabled: true,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            context.loc.topCategories,
            style: AppTextStyles.size24Medium.copyWith(height: 36 / 24),
          ),
          11.verticalSpace,
          GridView.builder(
            itemCount: 6,
            shrinkWrap: true,
            padding: EdgeInsets.zero,
            physics: const NeverScrollableScrollPhysics(),
            gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
              crossAxisCount: 2,
              mainAxisSpacing: 15,
              crossAxisSpacing: 10,
              mainAxisExtent: 140,
            ),
            itemBuilder: (context, index) {
              return WBrowseSkeletonizerItem();
            },
          ),
        ],
      ),
    );
  }
}


